#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QDialog>
#include <QPushButton>
#include <QRadioButton>
#include <QLineEdit>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QFontDatabase>
#include <QtCore/qmath.h>

class RegularCalculator:public QWidget{
public:

    RegularCalculator(QWidget *parent=Q_NULLPTR);
    void CreateRegularButtons();

protected:

    QLineEdit *result;

    QRadioButton *normal_mode;
    QRadioButton *engineering_mode;
    QVBoxLayout* layout_result;

    QPushButton* button_0;
    QPushButton* button_1;
    QPushButton* button_2;
    QPushButton* button_3;
    QPushButton* button_4;
    QPushButton* button_5;
    QPushButton* button_6;
    QPushButton* button_7;
    QPushButton* button_8;
    QPushButton* button_9;
    QPushButton* button_c;
    QPushButton* button_sqrt;
    QPushButton* button_1divx;
    QPushButton* button_equal;
    QPushButton* button_divide;
    QPushButton* button_multiply;
    QPushButton* button_minus;
    QPushButton* button_plus;
    QPushButton* button_point;

    QVBoxLayout* regular_buttons;
};



class EngineeringCalculator:public RegularCalculator{
    Q_OBJECT
public:

    EngineeringCalculator(QWidget *parent=Q_NULLPTR);
    void CreateEngineeringButtons();

    void Interface(bool mode);

protected:
    QPushButton* button_sinh;
    QPushButton* button_cosh;
    QPushButton* button_tanh;
    QPushButton* button_factorial;
    QPushButton* button_sin;
    QPushButton* button_cos;
    QPushButton* button_tan;
    QPushButton* button_pi;
    QPushButton* button_exp;
    QPushButton* button_ln;
    QPushButton* button_lg;
    QPushButton* button_sqrt_3;
    QPushButton* button_square;
    QPushButton* button_cube;
    QPushButton* button_degree_y;
    QPushButton* button_sqrt_y;

    QHBoxLayout*engineering_buttons;

public slots:

    void mode_regular(bool a);
    void mode_engineering(bool a);
    void PushButtons();

};

#endif // MAINWINDOW_H
